<?php

/*
 * Post functions
 */

if (!defined('ABSPATH')) {
	exit; // Exit if accessed directly.
}

if (!function_exists('bya_create_new_buy_again_log')) {

	/**
	 * Create New Buy Again Log
	 *
	 * @return Integer/String
	 */
	function bya_create_new_buy_again_log( $meta_args, $post_args = array()) {

		$object = new BYA_Buy_Again_Log();
		$id = $object->create($meta_args, $post_args);

		return $id;
	}

}

if (!function_exists('bya_get_buy_again_log')) {

	/**
	 * Get Buy Again Log Object
	 *
	 * @return Object
	 */
	function bya_get_buy_again_log( $id) {

		$object = new BYA_Buy_Again_Log($id);

		return $object;
	}

}

if (!function_exists('bya_update_buy_again_log')) {

	/**
	 * Update Buy Again Log
	 *
	 * @return Object
	 */
	function bya_update_buy_again_log( $id, $meta_args, $post_args = array()) {

		$object = new BYA_Buy_Again_Log($id);
		$object->update($meta_args, $post_args);

		return $object;
	}

}

if (!function_exists('bya_delete_buy_again_log')) {

	/**
	 * Delete Buy Again Log
	 *
	 * @return bool
	 */
	function bya_delete_buy_again_log( $id, $force = true) {

		wp_delete_post($id, $force);

		return true;
	}

}

if (!function_exists('bya_is_user_having_buy_again_list')) {

	/**
	 * Get User have a Buy Again List.
	 *
	 * @return ID (or) bool
	 */
	function bya_is_user_having_buy_again_list( $user_id) {

		$data = get_posts(array('author' => $user_id,
			'post_status' => 'publish',
			'post_type' => BYA_Register_Post_Types::BUY_AGAIN_LIST_POSTTYPE,
			'fields' => -1));


		if (bya_check_is_array($data)) {
			return $data[0]->ID;
		}

		return false;
	}

}

if (!function_exists('bya_is_prodcut_already_in_buy_again_list')) {

	/**
	 * Get Buy Again List ID
	 *
	 * @return ID (or) bool
	 */
	function bya_is_prodcut_already_in_buy_again_list( $user_id, $product_id) {

		$data = get_posts(array('author' => $user_id,
			'post_status' => 'bya_product',
			'meta_key' => 'bya_product_id',
			'meta_value' => $product_id,
			'post_type' => BYA_Register_Post_Types::BUY_AGAIN_LIST_POSTTYPE,
			'fields' => -1));

		if (bya_check_is_array($data)) {
			return $data[0]->ID;
		}

		return false;
	}

}

if (!function_exists('bya_bya_product_post_id')) {

	/**
	 * Get Buy Again List ID
	 *
	 * @return array
	 */
	function bya_bya_product_post_id( $user_id, $post_parent_id) {
		$bya_product_post_id = array();

		$get_bya_product_data = get_posts(array(
			'author' => $user_id,
			'parent' => $post_parent_id,
			'post_status' => 'bya_products',
			'post_type' => BYA_Register_Post_Types::BUY_AGAIN_LIST_POSTTYPE,
			'fields' => -1,
			'posts_per_page' => '-1',
				));

		foreach ($get_bya_product_data as $bya_product_obj) {

			$bya_product_post_id[] = $bya_product_obj->ID;
		}

		return $bya_product_post_id;
	}

}
