<?php
/**
 * This template displays MyAccount Buy Again
 *
 * This template can be overridden by copying it to yourtheme/buy-again-for-woocommerce/myaccount-buy-again.php
 *
 * To maintain compatibility, buy again will update the template files and you have to copy the updated files to your theme
 */

if (!defined('ABSPATH')) {
	exit; // Exit if accessed directly.
}

if ($except_wrapper) {
	?>
	<div class="bya_myaccount_buy_again_wrapper">
		<?php
}
	/*
	 * Hook: bya_before_myaccount_buy_again_product_content  
	 */
	do_action('bya_before_myaccount_buy_again_content');
	$_columns = bya_get_buy_again_product_table_heading();
	$allow_search = get_option('bya_localization_allow_search_box', 'yes');
	$order_by = isset($_REQUEST['orderby']) ? wc_clean(wp_unslash($_REQUEST['orderby'])) : '';
	$_order = isset($_REQUEST['order']) ? wc_clean(wp_unslash($_REQUEST['order'])) : '';

if ('title' == $order_by) {
	$sort_by = ( 'desc' == $_order ) ? '3' : '2';
} elseif ('recent' == $order_by) {
	$sort_by = '1';
} else {
	$sort_by = get_option('bya_advanced_buy_again_table_sort' , '1');
}


if ('yes' == $allow_search) {
		$search_label = get_option('bya_localization_search_label', esc_html__('Search Product(s)', 'buy-again-for-woocommerce'));
		$bya_search_value = isset($_REQUEST['s']) ? wc_clean(wp_unslash($_REQUEST['s'])) : '';
	?>
		<div class="bya_table_action">
			<div class="bya_product_sort_container">
				<select class="bya_sort_action_selector">
					<?php foreach (bya_get_buy_again_product_sort_options() as $option_id => $option_value) : ?>
						<option value="<?php echo esc_attr($option_id); ?>" <?php echo selected( $sort_by , $option_id ); // WPCS: XSS ok. ?>><?php echo esc_html($option_value); ?></option>
					<?php endforeach; ?>
				</select>
			</div>
			<div class="bya_product_search_container">
				<input type="search" class="bya_product_search_inp" value="<?php echo esc_attr($bya_search_value); ?>"/>
				<button class="bya_product_search_btn button alt"><?php echo esc_html($search_label); ?></button>
			</div>
		</div>
	<?php } ?>
	<div class="bya_product_table_container">
		<table class="bya_buy_again_product_table">
			<thead>
				<tr>
					<?php foreach ($_columns as $column_name) : ?>
						<th><?php echo wp_kses_post($column_name); ?></th>
					<?php endforeach; ?>
				</tr>
			</thead>
			<?php if (!bya_check_is_array($product_ids)) { ?>
				<tbody>
					<tr>
						<td colspan=<?php echo count($_columns); ?>><?php esc_html_e('No Product(s) Found', 'buy-again-for-woocommerce'); ?></td>
					</tr>
				</tbody>
				<?php
			} else {
				$args = array(
					'user_id' => $user_id,
					'product_ids' => $product_ids,
					'bya_get_my_account_end_point_url' => bya_get_my_account_end_point_url()
				);

				bya_get_template('myaccount-buy-again-table.php', $args);
			}
			?>
			<?php if ($pagination['page_count'] > 1) { ?>
				<tfoot>
					<tr>
						<td colspan="<?php echo esc_attr(count($_columns)); ?>" class="actions footable-visible">
							<?php bya_get_template('pagination.php', $pagination); ?>
						</td>
					</tr>
				</tfoot>
			<?php } ?>
		</table>
	</div>
	<?php
	/*
	 * Hook: bya_before_myaccount_buy_again_product_content  
	 */

	do_action('bya_before_myaccount_buy_again_content');
	if ($except_wrapper) {
		?>
	</div>
		<?php
	}
